<?php
/*  
 * 2J Gallery			http://2joomla.net/wordpress-plugins/2j-gallery
 * Version:           	2.0.1 - 46445
 * Author:            	2J Team (c)
 * Author URI:        	http://2joomla.net
 * License:           	GPL-2.0+
 * License URI:       	http://www.gnu.org/licenses/gpl-2.0.txt
 * Date:              	Tue, 14 Mar 2017 21:20:59 GMT
 */

class twoJGalleryRegistrator{

	public function __construct(){
		add_action('init', array($this, 'init'));
	}

	public function init(){
		add_action('wp_enqueue_scripts', array($this, 'enqueueScripts'));
	}

	protected function registerPostType(){
		return register_post_type(
			twoJGallery::POST_TYPE,
			array(
				'label' => __('twoJGallery'),
				'public' => true,
				'show_ui' => true,
				'show_in_nav_menus' => true,
				'capability_type' => 'post',
				'hierarchical' => true,
				'supports' => array(
					'title',
					'page-attributes',
					'thumbnail',
					'custom-fields'
				),
				'has_archive' => true
			)
		);
	}

	public function enqueueScripts(){
		wp_enqueue_script(
			twoJGallery::POST_TYPE . '_gallery-init-js',
			TWOJ_GALLERY_URI . 'assets/js/init.min.js',
			array('jquery'),
			TWOJ_GALLERY_VERSION,
			true
		);

		wp_localize_script(
			twoJGallery::POST_TYPE . '_gallery-init-js',
			'twoJGalleryJSConst',
			array(
				'moduleUri' => TWOJ_GALLERY_URI,
				'ajaxUrl' 	=> admin_url('admin-ajax.php'),
				'typePost' 	=> twoJGallery::POST_TYPE,
			)
		);
	}
}
